Subject: [dns-privacy] I-D Action: draft-ietf-dprive-bcp-op-01.txt

From: [email-masked]
Date: Tue, 18 Dec 2018 08:28:07 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DNS PRIVate Exchange WG of the IETF.

        Title           : Recommendations for DNS Privacy Service Operators
        Authors         : Sara Dickinson
                          Benno J. Overeinder
                          Roland M. van Rijswijk-Deij
                          Allison Mankin
	Filename        : draft-ietf-dprive-bcp-op-01.txt
	Pages           : 33
	Date            : 2018-12-18

Abstract:
   This document presents operational, policy and security
   considerations for DNS operators who choose to offer DNS Privacy
   services.  With these recommendations, the operator can make
   deliberate decisions regarding which services to provide, and how the
   decisions and alternatives impact the privacy of users.

   This document also presents a framework to assist writers of DNS
   Privacy Policy and Practices Statements (analogous to DNS Security
   Extensions (DNSSEC) Policies and DNSSEC Practice Statements described
   in [RFC6841]).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dprive-bcp-op/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dprive-bcp-op-01
https://datatracker.ietf.org/doc/html/draft-ietf-dprive-bcp-op-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-bcp-op-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Sara Dickinson <[email-masked]>
Date: Tue, 18 Dec 2018 16:30:24 +0000

Hi All, 

We’ve just published an update to the draft with the following updates:

 * Update DoH reference to RFC8484 and add more text on DoH
 * Split threat descriptions into ones directly referencing RFC6973 and other DNS Privacy threats
 * Improve threat descriptions throughout
 * Remove reference to the DNSSEC TLS Chain Extension draft until new version submitted.
 * Clarify use of whitelisting for ECS
 * Re-structure the DPPPS, add Result filtering section.
 * Remove the direct inclusion of privacy policy comparison, now just reference dnsprivacy.org and an example of such work.
 * Add an appendix briefly discussing DNSSEC
 * Many minor editorial fixes
 * Update affiliation of 1 author

At the mic line at the last IETF meeting where this was discussed (IETF 102) there was support for both splitting this document up into 2 or more documents and also keeping everything in a single document. For ease of review at this point we have not changed the structure but would appreciate comments about this on the list. 

Best regards

Sara. 

> On 18 Dec 2018, at 16:28, [email-masked] wrote:
> 
> 
> _______________________________________________
> dns-privacy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-privacy

---

From: Bob Harold <[email-masked]>
Date: Tue, 18 Dec 2018 15:00:40 -0500

On Tue, Dec 18, 2018 at 11:30 AM Sara Dickinson <[email-masked]> wrote:

>  * Remove the direct inclusion of privacy policy comparison, now just
> reference dnsprivacy.org and an example of such work.
> At the mic line at the last IETF meeting where this was discussed (IETF
> 102) there was support for both splitting this document up into 2 or more
> documents and also keeping everything in a single document. For ease of
> review at this point we have not changed the structure but would appreciate
> comments about this on the list.
>
> Best regards
>
> Sara.
>
Minor nits:

 5.1.5. Service options

DNS Privacy Threats:

o Unfairly disadvantaging users of the privacy service with respect
to the services available. This could force the user to switch to
the services available. providers, fallback to cleartext or accept
no DNS service for the outage.

"the services available. providers," -> "the available service providers,"

5.2.1. Data Handling
...
Other Treats

"Treats" -> "Threats"

-- 
Bob Harold